#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);

    long long n; cin >> n;
    vector<long long> x;
    vector<long long> y;
    for(long long i=0; i<n; i++){
        long long a, b;
        cin >> a >> b;
        x.push_back(a);
        y.push_back(b);
    }

    long long povrsina = 0;
    for(int i=1; i<n-1; i++){
        povrsina += (x[i]*y[i+1]-y[i]*x[i+1]);
    }
    povrsina += (x[n-1]*y[1]-x[1]*y[n-1]);
    povrsina = abs(povrsina);
    povrsina /= 2;
    cout << povrsina << "\n";
    return 0;
}